from datetime import datetime, timedelta
from functools import wraps
from rest_framework.request import Request

from account import get_account_info
from config.config import name_list


def before_request(func):
    """
    对请求参数进行集中处理
    :param func:
    :return:
    """

    @wraps(func)
    def request_to_session_condition(obj, req: Request, *args, **kw):
        req = get_account_info(req)

        if req.method == "GET":
            start_date = req.GET.get('start_date', (datetime.now() + timedelta(days=-1)).strftime('%Y-%m-%d'))
            end_date = req.GET.get('end_date', datetime.now().strftime('%Y-%m-%d'))
        else:
            start_date = req.data.get('start_date', (datetime.now() + timedelta(days=-1)).strftime('%Y-%m-%d'))
            end_date = req.data.get('end_date', datetime.now().strftime('%Y-%m-%d'))

        q_start_date = datetime.strptime(start_date, '%Y-%m-%d').date()
        q_end_date = (datetime.strptime(end_date, '%Y-%m-%d') + + timedelta(days=1)).date()

        date_condition = {'create_date__gte': q_start_date, 'create_date__lt': q_end_date}
        at_condition = {'createdAt__gte': start_date, 'createdAt__lt': end_date + ' 23:59:59'}

        req.data['date_condition'] = date_condition

        req.data['at_condition'] = at_condition

        return func(obj, req, *args, **kw)

    return request_to_session_condition
